﻿using System;

namespace SummerJobCalculator
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Summer Job Income Calculator");
            Console.WriteLine("----------------------------");

            // Constants
            const double HourlyRate = 35.50;
            const double TaxRate = 0.12;
            const double ClothesExpenseRate = 0.10;
            const double SchoolSuppliesExpenseRate = 0.01;
            const double SavingsRate = 0.25;

            // Ask the user for total hours worked
            Console.Write("Enter the total hours worked: ");
            if (!double.TryParse(Console.ReadLine(), out double totalHours) || totalHours < 0)
            {
                Console.WriteLine("Invalid input. Please enter a valid non-negative number of hours.");
                return;
            }

            // Calculate income before taxes
            double incomeBeforeTaxes = totalHours * HourlyRate;

            // Calculate income after taxes
            double incomeAfterTaxes = incomeBeforeTaxes * (1 - TaxRate);

            // Calculate expenses
            double clothesExpense = incomeAfterTaxes * ClothesExpenseRate;
            double schoolSuppliesExpense = incomeAfterTaxes * SchoolSuppliesExpenseRate;
            double savings = incomeAfterTaxes * SavingsRate;

            // Calculate remaining money
            double remainingMoney = incomeAfterTaxes - (clothesExpense + schoolSuppliesExpense + savings);

            // Display the results
            Console.WriteLine($"Income before taxes: {incomeBeforeTaxes:C}");
            Console.WriteLine($"Income after taxes: {incomeAfterTaxes:C}");
            Console.WriteLine($"Money spent on clothes and accessories: {clothesExpense:C}");
            Console.WriteLine($"Money spent on school supplies: {schoolSuppliesExpense:C}");
            Console.WriteLine($"Money saved: {savings:C}");
            Console.WriteLine($"Remaining money: {remainingMoney:C}");

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}
